Creates a new skill

Request Information

URI Parameters :

None.

Body Parameters :

skill
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the skill

string

Required

Max length: 255

description

Description of the skill

string

Max length: 4000

code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating skill

string
sales_organization

Embedded entity "sales_organization" when adding/updating skill

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "eadaecf1-02be-4a30-8df9-f4c8bdaf6bf8",
  "name": "sample string 2",
  "description": "sample string 3",
  "code": "sample string 4",
  "sales_organization_id": "ff2cac8b-ef28-468c-8e52-9dabf846eeb3",
  "sales_organization_code": "sample string 6",
  "sales_organization": {
    "id": "f6add2ca-5769-4504-8cde-a58de9363539",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "2bf1b146-dcc3-4f55-a047-64794b82fba0",
    "db_currency_id": "37dd6721-eea2-40c4-98d9-3e59252e9d94",
    "db_language_id": "7d37b485-d166-47be-8103-7756f76bc928",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-11-02T06:47:40.1891732+00:00"
  },
  "modified_dateutc": "2026-11-02T06:47:40.1891732+00:00"
}

Response Information

Resource Description :

IHttpActionResult

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.